package examples.maedchen;

import helperclasses.*;
import ttclasses.*;
import java.util.*;

/*****
 * This class implements a Girl (human being) within
 * the Girls And Technology example problem.
 *****/

public class Girl extends Resource {
  public List firstChoice;
  public List friends;
  
  /** Creates new Girl */
  public Girl(String name) {
    this.name = name;
    firstChoice = new ArrayList();
    friends = new ArrayList();
  }

  public void setVariable(String key, String value) {
    if (key.equals("firstChoice"))
      firstChoice = GlobalMethods.listFromXMLString(value);
    else if (key.equals("friends"))
      friends = GlobalMethods.listFromXMLString(value);
    else
      super.setVariable(key, value);
  } // end of setVariable(String, String)

} // end of class Girl
