package examples.maedchen;

import ttclasses.*;

/*****
 * This is an Event within the Girls And Technology example problem.
 *****/

public class Project extends Event {
  /** A valid signature can be "inf1", "etec5", ... **/
  protected String signature;

  public Project(String name) {
    this.name = name;
    this.signature = "(no signature)";
  }

  /** Creates new Project **/
  public Project(String name, String signature) {
    this.name = name;
    this.signature = signature;
  }

  public void setVariable(String key, String value) {
    if (key.equals("signature"))
      signature = value;
    else
      super.setVariable(key, value);
  }

} // end of class Project
