package examples.hospital;

import ttclasses.*;

import java.util.*;

/*****
 * This is the <tt>Event</tt> class for the different shifts at the hospital.
 *****/
public class Shift extends Event {
  protected int shiftType;

  public Shift(String name) {
    this.name = name;
    shiftType = -1;
  }

  public void setVariable(String key, String value) {
    if (key.equals("shiftType"))
      shiftType = Integer.parseInt(value);
    else
      super.setVariable(key, value);
  } // end of setVariable(String, String)

} // end of class Shift

